Loading...
Searching...
No Matches
FingerprintUtil.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <DataStructs/SparseIntVect.h>`
`#include <DataStructs/BitVects.h>`
`#include <cstdint>`
`#include <tuple>`
`#include <vector>`
`#include <map>`
`#include <DataStructs/ExplicitBitVect.h>`
`#include <GraphMol/Subgraphs/Subgraphs.h>`

Go to the source code of this file.

## Classes

class | RDKit::MorganFingerprints::ss_matcher

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::AtomPairs
namespace | RDKit::MorganFingerprints
namespace | RDKit::RDKitFPUtils

## Typedefs

typedef std::tuple< boost::dynamic_bitset<>, uint32_t, unsigned int > | RDKit::MorganFingerprints::AccumTuple

## Functions

RDKIT_FINGERPRINTS_EXPORT std::uint32_t | RDKit::AtomPairs::getAtomCode (const Atom *atom, unsigned int branchSubtract=0, bool includeChirality=false)
RDKIT_FINGERPRINTS_EXPORT std::uint32_t | RDKit::AtomPairs::getAtomPairCode (std::uint32_t codeI, std::uint32_t codeJ, unsigned int dist, bool includeChirality=false)
RDKIT_FINGERPRINTS_EXPORT std::uint64_t | RDKit::AtomPairs::getTopologicalTorsionCode (const std::vector< std::uint32_t > &atomCodes, bool includeChirality=false)
RDKIT_FINGERPRINTS_EXPORT std::uint32_t | RDKit::AtomPairs::getTopologicalTorsionHash (const std::vector< std::uint32_t > &pathCodes)
RDKIT_FINGERPRINTS_EXPORT void | RDKit::MorganFingerprints::getConnectivityInvariants (const ROMol &mol, std::vector< std::uint32_t > &invars, bool includeRingMembership=true)
| returns the connectivity invariants for a molecule
RDKIT_FINGERPRINTS_EXPORT void | RDKit::MorganFingerprints::getFeatureInvariants (const ROMol &mol, std::vector< std::uint32_t > &invars, std::vector< const ROMol * > *patterns=nullptr)
| returns the feature invariants for a molecule

## Variables

const unsigned int | RDKit::AtomPairs::numTypeBits = 4
const unsigned int | RDKit::AtomPairs::atomNumberTypes [1<< numTypeBits]
const unsigned int | RDKit::AtomPairs::numPiBits = 2
const unsigned int | RDKit::AtomPairs::maxNumPi = (1 << numPiBits) - 1
const unsigned int | RDKit::AtomPairs::numBranchBits = 3
const unsigned int | RDKit::AtomPairs::maxNumBranches = (1 << numBranchBits) - 1
const unsigned int | RDKit::AtomPairs::numChiralBits = 2
const unsigned int | RDKit::AtomPairs::codeSize = numTypeBits + numPiBits + numBranchBits
const unsigned int | RDKit::AtomPairs::numPathBits = 5
const unsigned int | RDKit::AtomPairs::maxPathLen = (1 << numPathBits) - 1
const unsigned int | RDKit::AtomPairs::numAtomPairFingerprintBits
RDKIT_FINGERPRINTS_EXPORT std::vector< std::string > | RDKit::MorganFingerprints::defaultFeatureSmarts
const std::string | RDKit::MorganFingerprints::morganConnectivityInvariantVersion = "1.0.0"
const std::string | RDKit::MorganFingerprints::morganFeatureInvariantVersion = "0.1.0"